# File Name: appunittest3.py
# Modified Date: March 26, 2017
# Description: This class is to test sorting function.
# Method Level Comment: Python Convention (inside function)
__author__ = "Inyoung Choung"

import unittest
from implementation import Impl

# testing sorting function.
class testSort(unittest.TestCase):
    def runTest(self):
        """
        run Test to see if the expected array is equal to the sorted list.
        :return:
        """
        # list of Strings
        list = ['inyoung', 'banana', 'camera']
        # calls sort function and pass the list in the parameter.
        result = Impl.sort(self, list)

        # expected result after sorting.
        expected = ['banana', 'camera', 'inyoung']

        # check if the two values in the parameter are matched.
        self.assertEqual(result, expected)

# class starter
if __name__ == '__main__':
    unittest.main()

